Subject: bug#49161: kicad-5.1.6 fails to build

From: Vinicius Monego <[email-masked]>
Date: Tue, 22 Jun 2021 09:42:07 +0000

Hi,

I found suggestions that disabling --with-readline in libngspice should
work around the issue, though I couldn't test it yet. This seems to be
a problem in version 34 specifically. Downgrading to 33 could also
work.

Em ter, 2021-06-22 às 08:36 +0200, Brice Waegeneire escreveu:
> Hello bdju,
> 
> Cuirass can't manage to build kicad¹ also.  Comparing to the previous
> build², libngspice has been updated from version 28 to 34³ and the
> content of thoses 2 version are drasticly different, so I guess it's
> the
> issue.  In particular the /gnu/store/...-libngspice-
> 34/include/config.h
> seems suspicious.
> 
> I tried bumping kicad to the latest 5.10, but it didn't make a
> difference.
> 
> ¹ https://ci.guix.gnu.org/build/608393/details
> ² https://ci.guix.gnu.org/build/608201/details
> ³ https://issues.guix.gnu.org/48979
> 
> Cheers,
> - Brice